title1 1976 CENSUS OF CANADA- BST: EA-SHORT FORM- EADHHA20
title2 SAS commands by S Kumar, UT/DLS 07/2001
// JOB
/*SERVICE ?
/*ROUTE PRINT RMT402
//  EXEC SAS
//SASLIB  DD DSN=
//IN  DD DSN=
//OUT  DD DSN=
//SYSIN  DD *
PROC FORMAT DDNAME=SASLIB;
VALUE  V1_F   10         = 'NEWFOUNDLAND'
             11         = 'PR EDWARD ISLAND'
             12         = 'NOVA SCOTIA'
             13         = 'NEW BRUNSWICK'
             24         = 'QUEBEC'
             35         = 'ONTARIO'
             46         = 'MANITOBA'
             47         = 'SASKATCHEWAN'
             48         = 'ALBERTA'
             59         = 'BRITISH COLUMBIA'
             60         = 'YUKON TERRITORY'
             61         = 'NW TERRITORIES'
             00         = 'CANADA'
       ;
VALUE  V7_F   1          = '500000 & UP'
             2          = '100000-499999'
             3          = '30000-99999'
             4          = '10000-29999'
             5          = '5000-9999'
             6          = '2500-4999'
             7          = '1000-2499'
             8          = '0-999'
       ;
VALUE  V11_F   1          = 'CENTRAL CITY'
             2          = 'REMAINDER OF COR'
             3          = 'URBAN FRINGE'
             4          = 'RURAL FRINGE'
             0          = 'NOT A CMA/CA'
       ;
VALUE  V12_F   1          = 'CMA'
             2          = 'CA'
             0          = 'NOT CMA OR CA'
       ;
VALUE  V14_F   1          = '100000 & UP'
             2          = '50000-99999'
             3          = '25000-49999'
             4          = '10000-24999'
             5          = '5000-9999'
             6          = '2000-4999'
             7          = '1000-1999'
             0          = 'NOT A CMA-CA'
       ;
VALUE  V18_F   1          = 'URBAN'
             0          = 'RURAL'
       ;
VALUE  V19_F   1          = '500000 & UP'
             2          = '100000-499999'
             3          = '30000-99999'
             4          = '10000-29999'
             5          = '5000-9999'
             6          = '2500-4999'
             7          = '1000-2499'
             8          = '0-999'
             0          = 'RURAL'
       ;
VALUE  V21_F   1          = 'CANADA'
             2          = 'PROV & TERRITORI'
             3          = 'FED ED'
             5          = 'ENUM AREA'
       ;
DATA OUT.???;
INFILE IN.???;
INPUT  PROV   1-2
       FED   3-5
       EA   6-8
       CD   9-10
       CSD   11-14
       SGCCDCSD   15-19
       CSDSIZE   20-20
       CSDTYPE   21-22
       CCS   23-26
       CMACA   27-29
       CMACAPT   30-30
       CMACASEL   31-31
       SGCCMACA   32-34
       CMACASIZ   35-35
       CTPCTCOD   36-39
       CTPCTNUM   40-45
       SUBPREG   46-47
       URBRUR   48-48
       URBSIZE   49-49
       BLANK1   50-51
       RECTYPE   52-52
       V1   53-61
       V2   62-70
       V3   71-79
       V4   80-88
       V5   89-97
       V6   98-106
       V7   107-115
       V8   116-124
       V9   125-133
       V10   134-142
       V11   143-151
       V12   152-160
       V13   161-169
       V14   170-178
       V15   179-187
       V16   188-196
       V17   197-205
       V18   206-214
       V19   215-223
       V20   224-232
       V21   233-241
       V22   242-250
       V23   251-259
       V24   260-268
       V25   269-277
       V26   278-286
       V27   287-295
       V28   296-304
       V29   305-313
       V30   314-322
       V31   323-331
       V32   332-340
       V33   341-349
       V34   350-358
       V35   359-367
       V36   368-376
       V37   377-385
       V38   386-394
       V39   395-403
       V40   404-412
       V41   413-421
       V42   422-430
       V43   431-439
       V44   440-448
       V45   449-457
       V46   458-466
       V47   467-475
       V48   476-484
       V49   485-493
       V50   494-502
       V51   503-511
       V52   512-520
       V53   521-529 .0
       V54   530-538
       V55   539-547
       V56   548-556
       V57   557-565
       V58   566-574
       V59   575-583
       V60   584-592
       V61   593-601
       V62   602-610
       V63   611-619
       V64   620-628
       V65   629-637
       V66   638-646
       V67   647-655
       V68   656-664
       V69   665-673
       V70   674-682
       V71   683-691
       V72   692-700
       V73   701-709
       V74   710-718
       V75   719-727
       V76   728-736
       V77   737-745
       V78   746-754
      ;
LABEL   PROV = 'Province (region)'
        FED = 'Federal electroral district'
        EA = 'Enumeration area'
        CD = 'Census division'
        CSD = 'Census subdivision'
        SGCCDCSD = 'Standard geographic code for CD/CSD'
        CSDSIZE = 'Census subdivision pop size gp'
        CSDTYPE = 'Census subdivision type code'
        CCS = 'Census consolidated subdivision'
        CMACA = 'CMA/CA area code'
        CMACAPT = 'CMA/CA part'
        CMACASEL = 'CMA/CA selector'
        SGCCMACA = 'Standard geographic code for CMA-CA'
        CMACASIZ = 'CMA-CA pop size gp'
        CTPCTCOD = 'Census tract or prov CT code'
        CTPCTNUM = 'Census tract or prov CT number'
        SUBPREG = 'Subprovincial region'
        URBRUR = 'Urban-Rural area'
        URBSIZE = 'Urban area pop size gp'
        BLANK1 = 'Blank- for future use'
        RECTYPE = 'Record type'
        V1   = 'Total marital status: tot'
        V2   = 'Total marital status: males'
        V3   = 'Total marital status: females'
        V4   = 'Married-spouse prs: tot'
        V5   = 'Married-spouse prs: males'
        V6   = 'Married-spouse prs: females'
        V7   = 'Married-spouse abs: tot'
        V8   = 'Married-spouse abs: males'
        V9   = 'Married-spouse abs: females'
        V10  = 'Total married: tot'
        V11  = 'Total married: males'
        V12  = 'Total married: females'
        V13  = 'Separated: tot'
        V14  = 'Separated: males'
        V15  = 'Separated: females'
        V16  = 'Widowed: tot'
        V17  = 'Widowed: males'
        V18  = 'Widowed: females'
        V19  = 'Divorced: tot'
        V20  = 'Divorced: males'
        V21  = 'Divorced: females'
        V22  = 'Single: tot'
        V23  = 'Single: males'
        V24  = 'Single: females'
        V25  = 'Total: tot 15 yrs & over'
        V26  = 'Total: age 15-24'
        V27  = 'Total: age 25-34'
        V28  = 'Total: age 35-44'
        V29  = 'Total: age 45-54'
        V30  = 'Total: age 55-64'
        V31  = 'Total: age 65 yrs & over'
        V32  = 'Males: 15 yrs & over'
        V33  = 'Males: age 15-24'
        V34  = 'Males: age 25-34'
        V35  = 'Males: age 35-44'
        V36  = 'Males: age 45-54'
        V37  = 'Males: age 55-64'
        V38  = 'Males: age 65 & over'
        V39  = 'Females- age: 15 yrs & over'
        V40  = 'Females: age 15-24'
        V41  = 'Females: age 25-34'
        V42  = 'Females: age 35-44'
        V43  = 'Females: age 45-54'
        V44  = 'Females: age 55-64'
        V45  = 'Females: age 65 yrs & over'
        V46  = 'Pvt hhd: tot'
        V47  = 'Pvt hhd: 0 lodgers'
        V48  = 'Pvt hhd: 1 lodger'
        V49  = 'Pvt hhd: 2 lodgers'
        V50  = 'Pvt hhd: 3 lodgers'
        V51  = 'Pvt hhd: 4 or more lodgers'
        V52  = 'Total no. of lodgers'
        V53  = 'Avg no. of lodgers per pvt dwl'
        V54  = 'Pvt hhd- fam persons: tot'
        V55  = 'Pvt hhd- fam persons: 0 persons'
        V56  = 'Pvt hhd- fam persons: 2 persons'
        V57  = 'Pvt hhd- fam persons: 3 persons'
        V58  = 'Pvt hhd- fam persons: 4 persons'
        V59  = 'Pvt hhd- fam persons: 5 or more persons'
        V60  = 'Total no. of fam persons'
        V61  = 'Avg no of fam persons per pvt hhd'
        V62  = 'Pvt hhd- no. of persons: tot'
        V63  = 'Pvt hhd- no. of persons: 1 person'
        V64  = 'Pvt hhd- no. of persons: 2 persons'
        V65  = 'Pvt hhd- no. of persons: 3 persons'
        V66  = 'Pvt hhd- no. of persons: 4 persons'
        V67  = 'Pvt hhd- no. of persons: 5 persons'
        V68  = 'Pvt hhd- no. of persons: 6 persons'
        V69  = 'Pvt hhd- no. of persons: 7 persons'
        V70  = 'Pvt hhd- no. of persons: 8 persons'
        V71  = 'Pvt hhd- no. of persons: 9 persons'
        V72  = 'Pvt hhd- no. of persons: 10 or more persons'
        V73  = 'Total no. of persons'
        V74  = 'Avg no. of persons per pvt hhd'
        V75  = 'Pvt hhd: tot'
        V76  = 'Pvt hhd: 0 fam'
        V77  = 'Pvt hhd: 1 fam'
        V78  = 'Pvt hhd: 2 or more fam'
      ;
FORMAT  PROV              V1_F.
        CSDSIZE           V7_F.
        CMACAPT           V11_F.
        CMACASEL          V12_F.
        CMACASIZ          V14_F.
        URBRUR            V18_F.
        URBSIZE           V19_F.
        RECTYPE           V21_F.
;
