* Encoding: windows-1252.
/* SPSS Data Definition File
/* Modified by Sahar Ghanavati, Map and Data Library, University of Toronto, August, 2014
TITLE '1976 CENSUS OF CANADA- BST: EA-SHORT FORM- EADHHA20'.
SUBTITLE 'SPSS commands by S Kumar, rev L Ruus, UT/DLS 2008/08/25'.
FILE HANDLE in NAME='S:/datalibrary/cc76/bsts/ea/inputs/cnd.eadhha20'  LRECL=727.
DATA LIST FILE=in/  
    PROV            1 -      2
    FED             3 -      5
    EA              6 -      8
    CD              9 -     10
    CSD            11 -     14
    SGCCDCSD       15 -     19
    CSDSIZE        20 -     20
    CSDTYPE        21 -     22
    CCS            23 -     26
    CMACA          27 -     29
    CMACAPT        30 -     30
    CMACASEL       31 -     31
    SGCCMACA       32 -     34
    CMACASIZ       35 -     35
    CTPCTCOD       36 -     39
    CTPCTNUM       40 -     45
    SUBPREG        46 -     47
    URBRUR         48 -     48
    URBSIZE        49 -     49
    BLANK1         50 -     51
    RECTYPE        52 -     52
    V3             53 -     61
    V4             62 -     70
    V5             71 -     79
    V6             80 -     88
    V7             89 -     97
    V8             98 -    106
    V9            107 -    115
    V10           116 -    124
    V11           125 -    133
    V12           134 -    142
    V13           143 -    151
    V14           152 -    160
    V15           161 -    169
    V16           170 -    178
    V17           179 -    187
    V18           188 -    196
    V19           197 -    205
    V20           206 -    214
    V21           215 -    223
    V22           224 -    232
    V23           233 -    241
    V24           242 -    250
    V25           251 -    259
    V26           260 -    268
    V27           269 -    277
    V28           278 -    286
    V29           287 -    295
    V30           296 -    304
    V31           305 -    313
    V32           314 -    322
    V33           323 -    331
    V34           332 -    340
    V35           341 -    349
    V36           350 -    358
    V37           359 -    367
    V38           368 -    376
    V39           377 -    385
    V40           386 -    394
    V41           395 -    403
    V42           404 -    412
    V43           413 -    421
    V44           422 -    430
    V45           431 -    439
    V46           440 -    448
    V47           449 -    457
    V48           458 -    466
    V49           467 -    475
    V50           476 -    484
    V51           485 -    493
    V52           494 -    502
    V53           503 -    511
    V54           512 -    520
    V55           521 -    527 
    V56           528 -    536
    V57           537 -    545
    V58           546 -    554
    V59           555 -    563
    V60           564 -    572
    V61           573 -    581
    V62           582 -    590
    V63           591 -    597
    V64           598 -    606
    V65           607 -    615
    V66           616 -    624
    V67           625 -    633
    V68           634 -    642
    V69           643 -    651
    V70           652 -    660
    V71           661 -    669
    V72           670 -    678
    V73           679 -    687
    V74           688 -    696
    V75           697 -    705
    V76           706 -    712
    V77           713 -    721
    V78           722 -    730
    V79           731 -    739
    V80           740 -    748.
VARIABLE LABELS
  PROV      'Province (region)'
  FED       'Federal electroral district'
  EA        'Enumeration area'
  CD        'Census division'
  CSD       'Census subdivision'
  SGCCDCSD  'Standard geographic code for CD/CSD'
  CSDSIZE   'Census subdivision pop size gp'
  CSDTYPE   'Census subdivision type code'
  CCS       'Census consolidated subdivision'
  CMACA     'CMA/CA area code'
  CMACAPT   'CMA/CA part'
  CMACASEL  'CMA/CA selector'
  SGCCMACA  'Standard geographic code for CMA-CA'
  CMACASIZ  'CMA-CA pop size gp'
  CTPCTCOD  'Census tract or prov CT code'
  CTPCTNUM  'Census tract or prov CT number'
  SUBPREG   'Subprovincial region'
  URBRUR    'Urban-Rural area'
  URBSIZE   'Urban area pop size gp'
  BLANK1    'Blank- for future use'
  RECTYPE   'Record type'
  V3        'Total marital status: total'
  V4        'Total marital status: males'
  V5        'Total marital status: females'
  V6        'Marital status - married,spouse present: total'
  V7        'Marital status - married,spouse present: males'
  V8        'Marital status - married,spouse present: females'
  V9        'Marital status - married,spouse absent: total'
  V10       'Marital status - married,spouse absent: males'
  V11       'Marital status - married,spouse absent: females'
  V12       'Marital status - total married: total'
  V13       'Marital status - total married: males'
  V14       'Marital status - total married: females'
  V15       'Marital status - separated: total'
  V16       'Marital status - separated: males'
  V17       'Marital status - separated: females'
  V18       'Marital status - widowed: total'
  V19       'Marital status - widowed: males'
  V20       'Marital status - widowed: females'
  V21       'Marital status - divorced: total'
  V22       'Marital status - divorced: males'
  V23       'Marital status - divorced: females'
  V24       'Marital status - single: total'
  V25       'Marital status - single: males'
  V26       'Marital status - single: females'
  V27       'Total: total 15 years & over'
  V28       'Total: age 15-24'
  V29       'Total: age 25-34'
  V30       'Total: age 35-44'
  V31       'Total: age 45-54'
  V32       'Total: age 55-64'
  V33       'Total: age 65 years & over'
  V34       'Males: 15 years & over'
  V35       'Males: age 15-24'
  V36       'Males: age 25-34'
  V37       'Males: age 35-44'
  V38       'Males: age 45-54'
  V39       'Males: age 55-64'
  V40       'Males: age 65 & over'
  V41       'Females: age 15 years & over'
  V42       'Females: age 15-24'
  V43       'Females: age 25-34'
  V44       'Females: age 35-44'
  V45       'Females: age 45-54'
  V46       'Females: age 55-64'
  V47       'Females: age 65 years & over'
  V48       'Private households: total'
  V49       'Private households: 0 lodgers'
  V50       'Private households: 1 lodger'
  V51       'Private households: 2 lodgers'
  V52       'Private households: 3 lodgers'
  V53       'Private households: 4 or more lodgers'
  V54       'Total number of lodgers'
  V55       'Average number of lodgers per private dwelling'
  V56       'Private households- family persons: total'
  V57       'Private households- family persons: 0 persons'
  V58       'Private households- family persons: 2 persons'
  V59       'Private households- family persons: 3 persons'
  V60       'Private households- family persons: 4 persons'
  V61       'Private households- family persons: 5 or more persons'
  V62       'Total number of family persons'
  V63       'Average number of family persons per private household'
  V64       'Private households- number of persons: total'
  V65       'Private households- number of persons: 1 person'
  V66       'Private households- number of persons: 2 persons'
  V67       'Private households- number of persons: 3 persons'
  V68       'Private households- number of persons: 4 persons'
  V69       'Private households- number of persons: 5 persons'
  V70       'Private households- number of persons: 6 persons'
  V71       'Private households- number of persons: 7 persons'
  V72       'Private households- number of persons: 8 persons'
  V73       'Private households- number of persons: 9 persons'
  V74       'Private households- number of persons: 10 or more persons'
  V75       'Total number of persons'
  V76       'Average number of persons per private household'
  V77       'Private households: total'
  V78       'Private households: 0 families'
  V79       'Private households: 1 family'
  V80       'Private households: 2 or more families'.
VALUE LABELS
    PROV      10          'NEWFOUNDLAND'
          11          'PR EDWARD ISLAND'
          12          'NOVA SCOTIA'
          13          'NEW BRUNSWICK'
          24          'QUEBEC'
          35          'ONTARIO'
          46          'MANITOBA'
          47          'SASKATCHEWAN'
          48          'ALBERTA'
          59          'BRITISH COLUMBIA'
          60          'YUKON TERRITORY'
          61          'NW TERRITORIES'
          00          'CANADA'
         /
    CSDSIZE   1           '500000 & UP'
          2           '100000-499999'
          3           '30000-99999'
          4           '10000-29999'
          5           '5000-9999'
          6           '2500-4999'
          7           '1000-2499'
          8           '0-999'
         /
    CMACAPT   1           'CENTRAL CITY'
          2           'REMAINDER OF CORE'
          3           'URBAN FRINGE'
          4           'RURAL FRINGE'
          0           'NOT A CMA/CA'
         /
    CMACASEL  1           'CMA'
          2           'CA'
          0           'NOT CMA OR CA'
         /
    CMACASIZ  1           '100000 & UP'
          2           '50000-99999'
          3           '25000-49999'
          4           '10000-24999'
          5           '5000-9999'
          6           '2000-4999'
          7           '1000-1999'
          0           'NOT A CMA-CA'
         /
    URBRUR    1           'URBAN'
          0           'RURAL'
         /
    URBSIZE   1           '500000 & UP'
          2           '100000-499999'
          3           '30000-99999'
          4           '10000-29999'
          5           '5000-9999'
          6           '2500-4999'
          7           '1000-2499'
          8           '0-999'
          0           'RURAL'
         /
    RECTYPE   1           'CANADA'
          2           'PROV & TERRITORIES'
          3           'FED ED'
          5           'ENUM AREA'
         /.
SAVE OUTFILE= 'S:/datalibrary/cc76/bsts/ea/inputs/cnd_eadhha20.sav'/* Replace 'y' with name to give your system file
 /MAP
 /COMPRESSED. /* Delete this line if you want an uncompressed file
